#include <agui.h>
#include "devices.h"
#include "form1.h"

obj_t *form1_children[] =
{
    AGUI_HANDLE(lbl_hue),
    AGUI_HANDLE(lbl_lum),
    AGUI_HANDLE(lumslider),
    AGUI_HANDLE(hueslider),
    AGUI_HANDLE(slider2),
    AGUI_HANDLE(scrollbar2),
    AGUI_HANDLE(progressbar2),
    AGUI_HANDLE(textbox1),
    AGUI_HANDLE(label1),
    AGUI_HANDLE(bitmap1),
    AGUI_HANDLE(bevel1),
    AGUI_HANDLE(slider1),
    AGUI_HANDLE(scrollbar1),
    AGUI_HANDLE(progressbar1),
    AGUI_HANDLE(btn_controls2),
    AGUI_HANDLE(checkbox1),
    AGUI_HANDLE(bitmapbutton1),
    AGUI_HANDLE(button1),
    AGUI_HANDLE(btn_controls1),
    AGUI_HANDLE(radiogroup1),
    AGUI_HANDLE(listbox1),
    AGUI_HANDLE(textarea1),
    AGUI_HANDLE(listbox2),
    AGUI_HANDLE(areaframe),
};

form_t form1 =
{
    .obj.x = 0,
    .obj.y = 0,
    .obj.width = 320,
    .obj.height = 240,
    .obj.draw = form1draw,
    .obj.handler = form_handler,
    .obj.parent = NULL,
    .obj.agui_index = AGUI_1,
    .obj.enabled = true,
    .obj.visible = true,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 0,
    .children = form1_children,
    .n_children = sizeof(form1_children) / sizeof(form1_children[0]),
    .caption.x = 0,
    .caption.y = 0,
    .caption.text = "form1",
    .caption.color = BLACK,
    .caption.fontstyle = FS_NONE,
    .caption.align = ALIGN_CENTRE,
    .captionbarcolor = ROYALBLUE,
    .relief = RELIEF_LOWERED,
    .color = GRAY75
};

bevel_t areaframe =
{
    .obj.x = 88,
    .obj.y = 24,
    .obj.width = 224,
    .obj.height = 208,
    .obj.draw = areaframedraw,
    .obj.handler = default_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 0,
    .obj.enabled = true,
    .obj.visible = true,
    .relief = RELIEF_RAISED,
    .outline = OUTLINE_FRAME
};

const char listbox2_icon0[] =
{
    0x42,    0x4D,    0x36,    0x03,    0x00,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x36,    0x00,    0x00,    0x00,    0x28,    0x00,
    0x00,    0x00,    0x10,    0x00,    0x00,    0x00,    0x10,    0x00,
    0x00,    0x00,    0x01,    0x00,    0x18,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x00,    0x03,    0x00,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x00,    0x00,    0x00,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x00,    0x00,    0x00,    0x00,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x99,
    0x33,    0x00,    0x99,    0x33,    0x00,    0x99,    0x33,    0x00,
    0x99,    0x33,    0x00,    0x99,    0x33,    0x00,    0x99,    0x33,
    0x00,    0x99,    0x33,    0x00,    0x99,    0x33,    0x00,    0xAD,
    0x48,    0x09,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x99,    0x33,    0x00,    0xBD,
    0x4E,    0x12,    0xE1,    0x5D,    0x39,    0xF2,    0x63,    0x4B,
    0xF6,    0x65,    0x4F,    0xF7,    0x6E,    0x55,    0xF0,    0x75,
    0x53,    0xCD,    0x55,    0x28,    0xF5,    0x65,    0x4F,    0xDD,
    0x5C,    0x3A,    0x99,    0x33,    0x00,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x99,    0x33,    0x00,    0xC5,
    0x51,    0x1A,    0xE6,    0x5E,    0x3E,    0xF4,    0x66,    0x4E,
    0xFA,    0x7F,    0x60,    0xFB,    0x88,    0x66,    0xD4,    0x68,
    0x38,    0xBC,    0x6A,    0x37,    0xDB,    0x61,    0x39,    0xEA,
    0x61,    0x47,    0xCC,    0x58,    0x35,    0x99,    0x33,    0x00,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x99,    0x33,    0x00,    0xCD,
    0x54,    0x23,    0xEB,    0x65,    0x46,    0xFA,    0x86,    0x64,
    0xFB,    0x88,    0x66,    0xF1,    0x80,    0x5A,    0xBC,    0x63,
    0x2E,    0xFA,    0xF4,    0xF0,    0xC1,    0x58,    0x20,    0xEE,
    0x73,    0x54,    0xC3,    0x55,    0x30,    0x99,    0x33,    0x00,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xAD,    0x48,    0x09,    0x99,
    0x33,    0x00,    0xF4,    0x79,    0x58,    0xFB,    0x88,    0x66,
    0xFB,    0x88,    0x66,    0xC1,    0x58,    0x20,    0xE5,    0xC6,
    0xB2,    0xFF,    0xFF,    0xFF,    0xC1,    0x58,    0x20,    0xFB,
    0x88,    0x66,    0xC1,    0x59,    0x31,    0x99,    0x33,    0x00,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xAD,
    0x48,    0x09,    0x99,    0x33,    0x00,    0xE8,    0x78,    0x4F,
    0xAB,    0x60,    0x3F,    0x98,    0x76,    0x60,    0xC1,    0xD1,
    0xDB,    0xC1,    0xBA,    0xB6,    0xCA,    0x60,    0x2C,    0xFB,
    0x88,    0x66,    0xA9,    0x42,    0x11,    0xAD,    0x48,    0x0B,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,
    0x00,    0xFF,    0x2E,    0x38,    0x3F,    0x1C,    0x49,    0x66,
    0x14,    0x5D,    0xA0,    0x1D,    0x69,    0xC1,    0x1A,    0x63,
    0xB8,    0x12,    0x57,    0x9B,    0x26,    0x51,    0x73,    0x96,
    0x3A,    0x0A,    0xAD,    0x48,    0x09,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x03,
    0x33,    0x51,    0x0B,    0x43,    0x6F,    0x2B,    0x83,    0xE4,
    0x2E,    0x8B,    0xF0,    0x2E,    0x8A,    0xEF,    0x2C,    0x85,
    0xEB,    0x29,    0x7D,    0xE4,    0x22,    0x6F,    0xD4,    0x0B,
    0x4F,    0x82,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x06,
    0x39,    0x5C,    0x2E,    0x8B,    0xE3,    0x37,    0x9C,    0xFA,
    0x39,    0x9E,    0xFB,    0x38,    0x9E,    0xFA,    0x36,    0x9B,
    0xFA,    0x32,    0x93,    0xF5,    0x2C,    0x86,    0xEB,    0x1C,
    0x69,    0xBD,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x03,    0x33,    0x51,    0x17,
    0x5C,    0x91,    0x3D,    0xA3,    0xFB,    0x40,    0xA7,    0xFB,
    0x42,    0xA8,    0xFB,    0x41,    0xA8,    0xFB,    0x3F,    0xA5,
    0xFB,    0x3A,    0xA0,    0xFB,    0x34,    0x98,    0xF8,    0x2C,
    0x87,    0xEC,    0x0E,    0x54,    0x89,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x03,    0x33,    0x51,    0x21,
    0x6C,    0xA6,    0x43,    0xAA,    0xFB,    0x46,    0xAD,    0xFC,
    0x47,    0xAF,    0xFC,    0x47,    0xAE,    0xFC,    0x45,    0xAC,
    0xFB,    0x41,    0xA8,    0xFB,    0x3B,    0xA1,    0xFB,    0x32,
    0x95,    0xF7,    0x0D,    0x53,    0x87,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x03,    0x33,    0x51,    0x03,
    0x33,    0x51,    0x04,    0x3B,    0x5C,    0x19,    0x5B,    0x86,
    0x4A,    0xB2,    0xFC,    0x4A,    0xB2,    0xFC,    0x49,    0xB0,
    0xFC,    0x45,    0xAC,    0xFB,    0x3F,    0xA6,    0xFB,    0x31,
    0x92,    0xE8,    0x0E,    0x54,    0x89,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x03,    0x33,    0x51,    0x06,
    0x61,    0x8D,    0x06,    0x5E,    0x89,    0x15,    0x53,    0x7C,
    0x4C,    0xB4,    0xFC,    0x4C,    0xB4,    0xFC,    0x4A,    0xB2,
    0xFC,    0x47,    0xAF,    0xFC,    0x42,    0xA9,    0xFB,    0x15,
    0x60,    0x9B,    0x0E,    0x54,    0x89,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x03,
    0x33,    0x51,    0x11,    0x77,    0xA3,    0x13,    0x55,    0x77,
    0x12,    0x4C,    0x72,    0x28,    0x74,    0xA7,    0x39,    0x93,
    0xD1,    0x36,    0x90,    0xD1,    0x2F,    0x86,    0xC8,    0x08,
    0x45,    0x6B,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x03,
    0x33,    0x51,    0x03,    0x33,    0x51,    0x53,    0x98,    0xB7,
    0x3E,    0x79,    0x9A,    0x1A,    0x59,    0x7E,    0x07,    0x45,
    0x6B,    0x06,    0x42,    0x66,    0x03,    0x35,    0x54,    0x03,
    0x33,    0x51,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x03,    0x33,    0x51,
    0x03,    0x33,    0x51,    0x03,    0x33,    0x51,    0x03,    0x33,
    0x51,    0x03,    0x35,    0x54,    0x03,    0x33,    0x51,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
};

const char listbox2_icon1[] =
{
    0x42,    0x4D,    0x36,    0x03,    0x00,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x36,    0x00,    0x00,    0x00,    0x28,    0x00,
    0x00,    0x00,    0x10,    0x00,    0x00,    0x00,    0x10,    0x00,
    0x00,    0x00,    0x01,    0x00,    0x18,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x00,    0x03,    0x00,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x00,    0x00,    0x00,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x00,    0x00,    0x00,    0x00,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,
    0x00,    0xFF,    0x00,    0x65,    0x00,    0x00,    0x64,    0x00,
    0x00,    0x63,    0x00,    0x00,    0x62,    0x00,    0x00,    0x62,
    0x00,    0x00,    0x62,    0x00,    0x00,    0x63,    0x00,    0x00,
    0x6B,    0x00,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x00,
    0x62,    0x00,    0x00,    0x6C,    0x00,    0x00,    0x8A,    0x00,
    0x00,    0x98,    0x00,    0x00,    0x9A,    0x00,    0x0C,    0xA9,
    0x18,    0x22,    0xBC,    0x46,    0x00,    0x79,    0x00,    0x00,
    0x9D,    0x00,    0x00,    0x63,    0x00,    0x00,    0x6D,    0x00,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x00,
    0x62,    0x00,    0x00,    0x71,    0x00,    0x00,    0x8C,    0x00,
    0x00,    0x99,    0x01,    0x25,    0xBF,    0x4B,    0x36,    0xD2,
    0x6F,    0x15,    0x97,    0x31,    0x42,    0x89,    0x40,    0x01,
    0x82,    0x08,    0x00,    0x93,    0x00,    0x00,    0x7C,    0x00,
    0x00,    0x65,    0x00,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x00,
    0x62,    0x00,    0x00,    0x77,    0x00,    0x01,    0x92,    0x01,
    0x2C,    0xC6,    0x5A,    0x36,    0xD0,    0x6D,    0x2F,    0xC9,
    0x63,    0x1A,    0x75,    0x19,    0xFF,    0xFF,    0xFF,    0x04,
    0x78,    0x11,    0x1D,    0xB4,    0x3D,    0x00,    0x75,    0x00,
    0x00,    0x64,    0x00,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x07,    0x4C,    0x75,    0xFF,
    0x00,    0xFF,    0x00,    0x62,    0x00,    0x1F,    0xB4,    0x3D,
    0x37,    0xD3,    0x6E,    0x35,    0xD2,    0x6B,    0x07,    0x80,
    0x12,    0xBF,    0xD6,    0xB8,    0xFF,    0xFF,    0xFF,    0x02,
    0x78,    0x0C,    0x36,    0xD5,    0x70,    0x0D,    0x85,    0x19,
    0x00,    0x64,    0x00,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x42,    0x6A,    0x87,    0x04,
    0x3B,    0x5B,    0xFF,    0x00,    0xFF,    0x00,    0x62,    0x00,
    0x21,    0xAB,    0x3D,    0x11,    0x87,    0x2A,    0x1E,    0x65,
    0x46,    0x8C,    0xA6,    0xBB,    0x8B,    0xA8,    0xB4,    0x08,
    0x81,    0x19,    0x37,    0xD8,    0x6E,    0x14,    0x8F,    0x27,
    0x00,    0x64,    0x00,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x42,    0x6A,    0x87,    0x04,
    0x3B,    0x5B,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0x00,    0x4B,    0x3D,    0x0F,    0x55,    0x9C,    0x1A,    0x65,
    0xC0,    0x1F,    0x6C,    0xDA,    0x14,    0x5C,    0xB9,    0x05,
    0x48,    0x78,    0x00,    0x5B,    0x0A,    0x00,    0x63,    0x00,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x42,    0x6A,    0x87,    0x04,
    0x3B,    0x5B,    0x03,    0x41,    0x63,    0x06,    0x41,    0x6A,
    0x23,    0x79,    0xD1,    0x32,    0x92,    0xFD,    0x30,    0x90,
    0xF9,    0x2D,    0x8C,    0xF3,    0x2B,    0x82,    0xED,    0x25,
    0x74,    0xE0,    0x08,    0x48,    0x7C,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x42,    0x6A,    0x87,    0x07,
    0x4C,    0x75,    0x03,    0x40,    0x61,    0x29,    0x83,    0xD3,
    0x2E,    0x86,    0xD6,    0x3C,    0xA4,    0xFF,    0x3B,    0xA2,
    0xFE,    0x38,    0x9E,    0xFC,    0x35,    0x99,    0xFB,    0x2F,
    0x8D,    0xF6,    0x1A,    0x5C,    0x91,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x42,    0x6A,    0x87,    0x04,
    0x3B,    0x5B,    0x10,    0x57,    0x88,    0x29,    0x82,    0xCA,
    0x23,    0x66,    0x9A,    0x44,    0xAD,    0xFF,    0x43,    0xAB,
    0xFD,    0x41,    0xA8,    0xFC,    0x3D,    0xA3,    0xFC,    0x37,
    0x9D,    0xFE,    0x2E,    0x8C,    0xF1,    0x10,    0x57,    0x90,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x06,    0x44,    0x68,    0x07,
    0x4A,    0x71,    0x10,    0x59,    0x88,    0x08,    0x3B,    0x5D,
    0x37,    0x84,    0xC0,    0x4C,    0xB6,    0xFF,    0x4A,    0xB3,
    0xFF,    0x47,    0xAF,    0xFE,    0x43,    0xAA,    0xFC,    0x3D,
    0xA5,    0xFE,    0x37,    0x9D,    0xFF,    0x10,    0x57,    0x90,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x06,    0x3D,    0x5E,    0x07,
    0x49,    0x70,    0x06,    0x5B,    0x88,    0x08,    0x3B,    0x5D,
    0x26,    0x65,    0x91,    0x25,    0x64,    0x90,    0x3E,    0x93,
    0xCF,    0x4B,    0xB2,    0xFC,    0x48,    0xB0,    0xFF,    0x43,
    0xAA,    0xFF,    0x3C,    0xA5,    0xFF,    0x0F,    0x48,    0x67,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x06,    0x3F,    0x5F,    0x06,
    0x4D,    0x74,    0x07,    0x6B,    0x9D,    0x02,    0x83,    0xB3,
    0x08,    0x3B,    0x5D,    0x08,    0x3B,    0x5D,    0x0C,    0x4B,
    0x72,    0x3F,    0x96,    0xD3,    0x4C,    0xB5,    0xFF,    0x47,
    0xB0,    0xFF,    0x1A,    0x5C,    0x91,    0x0F,    0x48,    0x67,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x06,    0x40,    0x61,    0x04,
    0x69,    0x94,    0x06,    0x6E,    0xA1,    0x02,    0x83,    0xB3,
    0x02,    0x83,    0xB3,    0x07,    0x50,    0x79,    0x05,    0x4C,
    0x74,    0x0C,    0x4B,    0x71,    0x39,    0x92,    0xD4,    0x32,
    0x8D,    0xD2,    0x04,    0x42,    0x64,    0x0F,    0x48,    0x67,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x08,
    0x3B,    0x5D,    0x05,    0x5A,    0x83,    0x06,    0x76,    0xAB,
    0x07,    0x6E,    0xA2,    0x03,    0x53,    0x78,    0x03,    0x53,
    0x78,    0x03,    0x53,    0x78,    0x03,    0x53,    0x78,    0x03,
    0x59,    0x82,    0x03,    0x33,    0x51,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,
    0x00,    0xFF,    0x06,    0x40,    0x60,    0x06,    0x3D,    0x5C,
    0x06,    0x3E,    0x5F,    0xFF,    0x00,    0xFF,    0x04,    0x52,
    0x78,    0x02,    0x4A,    0x6D,    0x05,    0x47,    0x6B,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
};

const char listbox2_icon2[] =
{
    0x42,    0x4D,    0x36,    0x03,    0x00,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x36,    0x00,    0x00,    0x00,    0x28,    0x00,
    0x00,    0x00,    0x10,    0x00,    0x00,    0x00,    0x10,    0x00,
    0x00,    0x00,    0x01,    0x00,    0x18,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x00,    0x03,    0x00,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x00,    0x00,    0x00,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x00,    0x00,    0x00,    0x00,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x8F,    0x8E,    0x8D,
    0x9D,    0x9C,    0x9B,    0x9D,    0x9C,    0x9B,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,
    0x00,    0xFF,    0x91,    0x8F,    0x8F,    0xBD,    0xBC,    0xBC,
    0xEB,    0xEB,    0xEB,    0xD2,    0xD2,    0xD1,    0x9D,    0x9C,
    0x9B,    0x9D,    0x9C,    0x9B,    0x9D,    0x9C,    0x9B,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x97,
    0x96,    0x95,    0xC4,    0xC4,    0xC4,    0xFF,    0xFF,    0xFF,
    0xFA,    0xFA,    0xFA,    0xED,    0xED,    0xED,    0xF2,    0xED,
    0xEA,    0x8D,    0xB2,    0xC5,    0x11,    0x68,    0x95,    0x3F,
    0x73,    0x8E,    0x7F,    0x8B,    0x8F,    0x9D,    0x9C,    0x9B,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x99,    0x98,    0x97,    0xD1,
    0xD0,    0xD0,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,
    0xFB,    0xFB,    0xFB,    0xF0,    0xF0,    0xF0,    0xF7,    0xF1,
    0xEE,    0x91,    0xB6,    0xC9,    0x00,    0x62,    0x98,    0x00,
    0x60,    0x98,    0x88,    0xAD,    0xBE,    0xC7,    0xC3,    0xC1,
    0x9D,    0x9C,    0x9B,    0x79,    0x79,    0x78,    0xFF,    0x00,
    0xFF,    0x9D,    0x9C,    0x9B,    0xE0,    0xE0,    0xE0,    0xFF,
    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,
    0xFD,    0xFD,    0xFD,    0xF6,    0xF6,    0xF6,    0xFD,    0xF7,
    0xF4,    0x96,    0xBB,    0xCE,    0x00,    0x63,    0x98,    0x00,
    0x61,    0x97,    0x91,    0xB2,    0xC2,    0xDB,    0xD8,    0xD6,
    0xC3,    0xC3,    0xC3,    0x77,    0x77,    0x76,    0xFF,    0x00,
    0xFF,    0x9D,    0x9C,    0x9B,    0xFD,    0xFD,    0xFD,    0xFF,
    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,
    0xFF,    0xFF,    0xFF,    0xFC,    0xFC,    0xFC,    0xFF,    0xFE,
    0xFB,    0x9A,    0xBF,    0xD2,    0x00,    0x63,    0x98,    0x00,
    0x60,    0x97,    0x95,    0xB6,    0xC7,    0xDE,    0xDB,    0xDA,
    0xC4,    0xC4,    0xC3,    0x77,    0x77,    0x76,    0xFF,    0x00,
    0xFF,    0x9D,    0x9C,    0x9B,    0xFF,    0xFE,    0xFE,    0xFF,
    0xFF,    0xFF,    0xB3,    0xC2,    0xCC,    0x81,    0x9C,    0xAE,
    0xD2,    0xDB,    0xE0,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,
    0xFF,    0x97,    0xBF,    0xD3,    0x00,    0x59,    0x92,    0x00,
    0x5A,    0x92,    0x97,    0xBA,    0xCA,    0xE5,    0xE2,    0xE1,
    0xC8,    0xC8,    0xC9,    0x7A,    0x78,    0x76,    0xFF,    0x00,
    0xFF,    0x9D,    0x9C,    0x9B,    0xEB,    0xED,    0xEE,    0x6A,
    0x8C,    0xA0,    0x01,    0x5B,    0x88,    0x00,    0x5B,    0x8E,
    0x19,    0x5D,    0x82,    0xCB,    0xD5,    0xDA,    0xFF,    0xFF,
    0xFF,    0xE1,    0xEC,    0xF2,    0x94,    0xBC,    0xD2,    0x54,
    0x95,    0xB7,    0xAD,    0xC7,    0xD4,    0xE9,    0xE7,    0xE6,
    0xD7,    0xD3,    0xD1,    0x54,    0x65,    0x6E,    0xFF,    0x00,
    0xFF,    0x9D,    0x9C,    0x9B,    0x2A,    0x62,    0x83,    0x00,
    0x6D,    0xA0,    0x00,    0x97,    0xCC,    0x00,    0x92,    0xC6,
    0x00,    0x67,    0x9E,    0x1B,    0x5A,    0x7E,    0xCC,    0xD5,
    0xDA,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0xF9,
    0xF8,    0xF7,    0xEE,    0xEE,    0xEF,    0xF2,    0xF0,    0xEF,
    0xCF,    0xCF,    0xCF,    0x29,    0x53,    0x69,    0xFF,    0x00,
    0xFF,    0x12,    0x62,    0x87,    0x00,    0x86,    0xBB,    0x00,
    0x9D,    0xD0,    0x00,    0x97,    0xCA,    0x00,    0x95,    0xC8,
    0x00,    0x8D,    0xC1,    0x00,    0x66,    0x9A,    0x1A,    0x58,
    0x79,    0xCB,    0xD5,    0xDA,    0xFF,    0xFF,    0xFF,    0xFD,
    0xFD,    0xFD,    0xFF,    0xFF,    0xFF,    0xC5,    0xCD,    0xD1,
    0x2F,    0x64,    0x80,    0x00,    0x52,    0x80,    0xFF,    0x00,
    0xFF,    0x00,    0x6E,    0xA2,    0x00,    0x9F,    0xD3,    0x00,
    0x99,    0xCC,    0x00,    0x97,    0xCA,    0x00,    0x94,    0xC7,
    0x00,    0x91,    0xC4,    0x00,    0x8B,    0xBE,    0x00,    0x64,
    0x99,    0x1B,    0x57,    0x7A,    0xCE,    0xD7,    0xDC,    0xFF,
    0xFF,    0xFF,    0x99,    0xAC,    0xB8,    0x0B,    0x4B,    0x6E,
    0x00,    0x5A,    0x8D,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0x00,    0x6E,    0xA2,    0x00,    0x8F,    0xC3,    0x00,
    0x9B,    0xCE,    0x00,    0x97,    0xCA,    0x00,    0x94,    0xC7,
    0x00,    0x90,    0xC3,    0x00,    0x8D,    0xC0,    0x00,    0x87,
    0xBB,    0x00,    0x66,    0x9A,    0x21,    0x5E,    0x7F,    0x5B,
    0x7C,    0x8E,    0x00,    0x48,    0x70,    0x00,    0x63,    0x97,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x00,    0x6D,    0xA1,    0x00,
    0x95,    0xC8,    0x00,    0x98,    0xCB,    0x00,    0x94,    0xC7,
    0x01,    0x90,    0xC3,    0x0B,    0x96,    0xCA,    0x1F,    0xA9,
    0xDF,    0x00,    0x84,    0xB8,    0x00,    0x67,    0x9A,    0x00,
    0x4E,    0x7C,    0x00,    0x65,    0x99,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x00,
    0x75,    0xA9,    0x00,    0x92,    0xC5,    0x00,    0x96,    0xC9,
    0x02,    0x91,    0xC4,    0x1F,    0xA9,    0xDE,    0x1F,    0xA9,
    0xDF,    0x00,    0x87,    0xBB,    0x00,    0x71,    0xA5,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,
    0x00,    0xFF,    0x00,    0x73,    0xA6,    0x00,    0x8F,    0xC2,
    0x02,    0x94,    0xC8,    0x00,    0x73,    0xA6,    0x05,    0x8A,
    0xB8,    0x00,    0x81,    0xB3,    0x00,    0x73,    0xA6,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x00,    0x74,    0xA7,
    0x00,    0x73,    0xA6,    0xFF,    0x00,    0xFF,    0x00,    0x73,
    0xA6,    0x00,    0x73,    0xA6,    0xFF,    0x00,    0xFF,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
};

const char listbox2_icon3[] =
{
    0x42,    0x4D,    0x36,    0x03,    0x00,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x36,    0x00,    0x00,    0x00,    0x28,    0x00,
    0x00,    0x00,    0x10,    0x00,    0x00,    0x00,    0x10,    0x00,
    0x00,    0x00,    0x01,    0x00,    0x18,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x00,    0x03,    0x00,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x00,    0x00,    0x00,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x00,    0x00,    0x00,    0x00,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x04,    0x51,    0x0D,
    0x04,    0x5D,    0x0E,    0x04,    0x61,    0x0D,    0x03,    0x61,
    0x0D,    0x05,    0x5F,    0x0E,    0x04,    0x53,    0x0C,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x03,
    0x4F,    0x0D,    0x04,    0x5E,    0x0E,    0x04,    0x63,    0x12,
    0x04,    0x66,    0x14,    0x04,    0x67,    0x14,    0x04,    0x66,
    0x15,    0x04,    0x63,    0x14,    0x04,    0x65,    0x12,    0x05,
    0x67,    0x0F,    0x04,    0x54,    0x0C,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x04,    0x54,    0x0D,    0x08,
    0x74,    0x17,    0x07,    0x7D,    0x19,    0x00,    0x87,    0x0F,
    0x00,    0x90,    0x00,    0x5A,    0xBB,    0x65,    0x7E,    0xC6,
    0x87,    0x00,    0x85,    0x00,    0x00,    0x6F,    0x0D,    0x04,
    0x60,    0x15,    0x04,    0x68,    0x12,    0x04,    0x57,    0x0C,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0x13,    0x84,    0x28,    0x14,    0x97,    0x2C,    0x15,
    0xAD,    0x31,    0x07,    0xAF,    0x20,    0x37,    0xC4,    0x47,
    0x97,    0xE1,    0x9C,    0xDF,    0xF8,    0xE1,    0xED,    0xFC,
    0xEE,    0xA1,    0xE5,    0xA6,    0x3C,    0xC0,    0x49,    0x00,
    0x8D,    0x0D,    0x04,    0x69,    0x15,    0x05,    0x68,    0x12,
    0x04,    0x53,    0x0D,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0x13,    0x84,    0x28,    0x23,    0xC4,    0x4E,    0x15,
    0xBA,    0x39,    0x3E,    0xC5,    0x57,    0xF3,    0xFC,    0xF5,
    0xC7,    0xEE,    0xCC,    0xA6,    0xE3,    0xAC,    0xBB,    0xEA,
    0xBF,    0xA9,    0xE5,    0xB0,    0xF7,    0xFE,    0xF8,    0x43,
    0xC8,    0x4F,    0x01,    0x9C,    0x10,    0x04,    0x6D,    0x15,
    0x05,    0x63,    0x0F,    0xFF,    0x00,    0xFF,    0x10,    0x81,
    0x21,    0x24,    0xB0,    0x4F,    0x28,    0xC3,    0x58,    0x16,
    0xB9,    0x41,    0xB3,    0xE8,    0xBF,    0xF7,    0xFD,    0xF8,
    0x11,    0xB6,    0x2B,    0x6C,    0xD2,    0x7A,    0x97,    0xDF,
    0x9E,    0x00,    0xAB,    0x03,    0xDB,    0xF4,    0xDD,    0xC6,
    0xEE,    0xCA,    0x01,    0xB3,    0x10,    0x06,    0x8C,    0x17,
    0x05,    0x69,    0x13,    0x03,    0x52,    0x0D,    0x10,    0x81,
    0x21,    0x30,    0xC3,    0x69,    0x2D,    0xC2,    0x62,    0x26,
    0xBF,    0x56,    0x43,    0xC7,    0x68,    0x4A,    0xC9,    0x68,
    0x06,    0xB3,    0x29,    0x79,    0xD6,    0x8A,    0x99,    0xDF,
    0xA2,    0x00,    0xAC,    0x08,    0xD6,    0xF2,    0xD8,    0xD0,
    0xF1,    0xD3,    0x02,    0xB2,    0x12,    0x08,    0xA8,    0x18,
    0x06,    0x7C,    0x16,    0x05,    0x5E,    0x0E,    0x15,    0x94,
    0x2E,    0x31,    0xC6,    0x6D,    0x30,    0xC3,    0x69,    0x2E,
    0xC2,    0x64,    0x23,    0xBE,    0x55,    0x11,    0xB8,    0x41,
    0x19,    0xBA,    0x41,    0x8E,    0xDD,    0xA0,    0xD4,    0xF2,
    0xD8,    0xC2,    0xEC,    0xC8,    0xFD,    0xFF,    0xFD,    0x58,
    0xCB,    0x63,    0x01,    0xAF,    0x10,    0x09,    0xB3,    0x19,
    0x07,    0x96,    0x18,    0x05,    0x66,    0x0F,    0x20,    0x9E,
    0x39,    0x3A,    0xC8,    0x73,    0x2E,    0xC2,    0x68,    0x30,
    0xC3,    0x69,    0x28,    0xC0,    0x61,    0x71,    0xD5,    0x92,
    0xDF,    0xF6,    0xE5,    0xF7,    0xFD,    0xF9,    0xEF,    0xFA,
    0xF2,    0xB7,    0xE9,    0xC2,    0x4A,    0xC8,    0x5D,    0x03,
    0xB1,    0x18,    0x09,    0xB2,    0x1A,    0x09,    0xB3,    0x19,
    0x09,    0xAF,    0x19,    0x05,    0x6F,    0x0F,    0x55,    0xB6,
    0x63,    0x71,    0xD5,    0x97,    0x3D,    0xC7,    0x73,    0x24,
    0xC0,    0x61,    0x66,    0xD2,    0x90,    0xFF,    0xFF,    0xFF,
    0x9A,    0xE1,    0xB2,    0x94,    0xE0,    0xAD,    0xA5,    0xE4,
    0xB5,    0x04,    0xB3,    0x2C,    0x03,    0xB2,    0x25,    0x0E,
    0xB5,    0x29,    0x0F,    0xB5,    0x24,    0x0A,    0xB3,    0x1B,
    0x09,    0xB6,    0x19,    0x06,    0x6A,    0x0C,    0x55,    0xB6,
    0x63,    0x8C,    0xD7,    0xA2,    0x8E,    0xE0,    0xB0,    0x22,
    0xBF,    0x5F,    0xA1,    0xE4,    0xBB,    0xFD,    0xFF,    0xFE,
    0x23,    0xBF,    0x5E,    0x7F,    0xDA,    0xA0,    0xA6,    0xE5,
    0xB9,    0x18,    0xBA,    0x45,    0x69,    0xD2,    0x81,    0x3C,
    0xC4,    0x57,    0x10,    0xB6,    0x2C,    0x10,    0xB8,    0x26,
    0x0A,    0xA6,    0x1A,    0x04,    0x53,    0x07,    0xFF,    0x00,
    0xFF,    0x41,    0xBA,    0x58,    0xCC,    0xF2,    0xDE,    0x75,
    0xD8,    0x9B,    0x60,    0xD1,    0x8B,    0xFF,    0xFF,    0xFF,
    0x86,    0xDC,    0xA8,    0x90,    0xDF,    0xAF,    0xAF,    0xE8,
    0xC2,    0x87,    0xDB,    0xA3,    0xFF,    0xFF,    0xFF,    0x5D,
    0xCF,    0x79,    0x11,    0xB7,    0x34,    0x17,    0xBF,    0x35,
    0x0B,    0x83,    0x19,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0x41,    0xBA,    0x58,    0x71,    0xD1,    0x8B,    0xD5,
    0xF5,    0xE4,    0x8F,    0xDF,    0xAE,    0x9B,    0xE2,    0xB7,
    0xD8,    0xF4,    0xE3,    0xEC,    0xFA,    0xF1,    0xF6,    0xFD,
    0xF9,    0xDA,    0xF4,    0xE4,    0x81,    0xDA,    0x9F,    0x1C,
    0xBC,    0x4B,    0x22,    0xC3,    0x4C,    0x17,    0xA5,    0x33,
    0x05,    0x53,    0x08,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x10,    0xA6,    0x21,    0x6A,
    0xCF,    0x87,    0xCD,    0xF2,    0xDF,    0xC2,    0xEE,    0xD4,
    0x93,    0xE0,    0xB1,    0xAD,    0xE8,    0xC4,    0xB0,    0xE9,
    0xC6,    0x5E,    0xD1,    0x8B,    0x5C,    0xD2,    0x89,    0x4B,
    0xD0,    0x7B,    0x20,    0xAD,    0x46,    0x08,    0x62,    0x0F,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x35,
    0xB9,    0x51,    0x35,    0xB9,    0x51,    0x80,    0xD7,    0x9B,
    0xB3,    0xE9,    0xC9,    0xB7,    0xEC,    0xCE,    0xAF,    0xEA,
    0xC8,    0xA5,    0xE7,    0xBF,    0x80,    0xD3,    0x9C,    0x38,
    0xA5,    0x51,    0x08,    0x6C,    0x10,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x0A,    0xA2,    0x19,
    0x1A,    0xAB,    0x32,    0x2A,    0xAF,    0x43,    0x2C,    0xAC,
    0x45,    0x1E,    0x9E,    0x33,    0x0B,    0x85,    0x16,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
};

icon_listbox_item_t listbox2_item4 =
{
    .text = "fifth",
    .vp = NULL,
    .selected = false,
    .icon = listbox2_icon3,
};

list_t listbox2_list4 =
{
    .next = NULL,
    .vp = &listbox2_item4
};

icon_listbox_item_t listbox2_item3 =
{
    .text = "fourth (no image)",
    .vp = NULL,
    .selected = false,
};

list_t listbox2_list3 =
{
    .next = &listbox2_list4,
    .vp = &listbox2_item3
};

icon_listbox_item_t listbox2_item2 =
{
    .text = "third",
    .vp = NULL,
    .selected = false,
    .icon = listbox2_icon2,
};

list_t listbox2_list2 =
{
    .next = &listbox2_list3,
    .vp = &listbox2_item2
};

icon_listbox_item_t listbox2_item1 =
{
    .text = "second",
    .vp = NULL,
    .selected = false,
    .icon = listbox2_icon1,
};

list_t listbox2_list1 =
{
    .next = &listbox2_list2,
    .vp = &listbox2_item1
};

icon_listbox_item_t listbox2_item0 =
{
    .text = "first",
    .vp = NULL,
    .selected = false,
    .icon = listbox2_icon0,
};

list_t listbox2_list0 =
{
    .next = &listbox2_list1,
    .vp = &listbox2_item0
};

icon_listbox_t listbox2 =
{
    .obj.x = 208,
    .obj.y = 136,
    .obj.width = 96,
    .obj.height = 80,
    .obj.draw = listbox2draw,
    .obj.handler = icon_listbox_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 2,
    .obj.enabled = true,
    .obj.visible = false,
    .list = &listbox2_list0,
    .count = 5,
    .relief = RELIEF_LOWERED,
    .separator = false,
    .multiselect = false,
    .autohide_scrollbar = true,
    .item_string.x = 0,
    .item_string.y = 0,
    .item_string.text = NULL,
    .item_string.color = BLACK,
    .item_string.fontstyle = FS_NONE,
    .item_string.align = ALIGN_VERTICAL_LEFT,
    .selectioncolor = ROYALBLUE,
    .selectiontextcolor = BLACK,
    .color = WHITE,
    .icon_behind = false
};

textarea_t textarea1 =
{
    .obj.x = 104,
    .obj.y = 136,
    .obj.width = 96,
    .obj.height = 80,
    .obj.draw = textarea1draw,
    .obj.handler = textarea_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 2,
    .obj.enabled = true,
    .obj.visible = false,
    .text.x = 0,
    .text.y = 0,
    .text.text = "textarea1\nanother long line to test word wrapping",
    .text.color = BLACK,
    .text.fontstyle = FS_NONE,
    .text.align = ALIGN_TOP_LEFT,
    .relief = RELIEF_LOWERED,
    .color = WHITE
};

listbox_item_t listbox1_item6 =
{
    .text = "seven",
    .vp = NULL,
    .selected = false,
};

list_t listbox1_list6 =
{
    .next = NULL,
    .vp = &listbox1_item6
};

listbox_item_t listbox1_item5 =
{
    .text = "six",
    .vp = NULL,
    .selected = false,
};

list_t listbox1_list5 =
{
    .next = &listbox1_list6,
    .vp = &listbox1_item5
};

listbox_item_t listbox1_item4 =
{
    .text = "five",
    .vp = NULL,
    .selected = false,
};

list_t listbox1_list4 =
{
    .next = &listbox1_list5,
    .vp = &listbox1_item4
};

listbox_item_t listbox1_item3 =
{
    .text = "four",
    .vp = NULL,
    .selected = false,
};

list_t listbox1_list3 =
{
    .next = &listbox1_list4,
    .vp = &listbox1_item3
};

listbox_item_t listbox1_item2 =
{
    .text = "three",
    .vp = NULL,
    .selected = false,
};

list_t listbox1_list2 =
{
    .next = &listbox1_list3,
    .vp = &listbox1_item2
};

listbox_item_t listbox1_item1 =
{
    .text = "two",
    .vp = NULL,
    .selected = false,
};

list_t listbox1_list1 =
{
    .next = &listbox1_list2,
    .vp = &listbox1_item1
};

listbox_item_t listbox1_item0 =
{
    .text = "one",
    .vp = NULL,
    .selected = false,
};

list_t listbox1_list0 =
{
    .next = &listbox1_list1,
    .vp = &listbox1_item0
};

listbox_t listbox1 =
{
    .obj.x = 208,
    .obj.y = 40,
    .obj.width = 96,
    .obj.height = 88,
    .obj.draw = listbox1draw,
    .obj.handler = listbox_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 2,
    .obj.enabled = true,
    .obj.visible = false,
    .list = &listbox1_list0,
    .count = 7,
    .relief = RELIEF_LOWERED,
    .separator = false,
    .multiselect = true,
    .autohide_scrollbar = true,
    .item_string.x = 0,
    .item_string.y = 0,
    .item_string.text = NULL,
    .item_string.color = BLACK,
    .item_string.fontstyle = FS_NONE,
    .item_string.align = ALIGN_VERTICAL_LEFT,
    .selectioncolor = ROYALBLUE,
    .selectiontextcolor = BLACK,
    .color = WHITE,
};

radiobutton_t radiogroup1_button0 =
{
    .obj.x = 10,
    .obj.y = 20,
    .obj.width = 76,
    .obj.height = 15,
    .obj.draw = radiobutton_draw,
    .obj.handler = default_handler,
    .obj.parent = AGUI_HANDLE(radiogroup1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 0,
    .obj.enabled = true,
    .obj.visible = false,
    .label.x = 0,
    .label.y = 0,
    .label.text = "one",
    .label.color = BLACK,
    .label.fontstyle = FS_NONE,
    .label.align = ALIGN_VERTICAL_LEFT,
    .relief = RELIEF_LOWERED,
    .color = GRAY85,
    .selected = false
};

radiobutton_t radiogroup1_button1 =
{
    .obj.x = 10,
    .obj.y = 40,
    .obj.width = 76,
    .obj.height = 15,
    .obj.draw = radiobutton_draw,
    .obj.handler = default_handler,
    .obj.parent = AGUI_HANDLE(radiogroup1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 0,
    .obj.enabled = true,
    .obj.visible = false,
    .label.x = 0,
    .label.y = 0,
    .label.text = "two",
    .label.color = BLACK,
    .label.fontstyle = FS_NONE,
    .label.align = ALIGN_VERTICAL_LEFT,
    .relief = RELIEF_LOWERED,
    .color = GRAY85,
    .selected = true
};

radiobutton_t radiogroup1_button2 =
{
    .obj.x = 10,
    .obj.y = 60,
    .obj.width = 76,
    .obj.height = 15,
    .obj.draw = radiobutton_draw,
    .obj.handler = default_handler,
    .obj.parent = AGUI_HANDLE(radiogroup1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 0,
    .obj.enabled = true,
    .obj.visible = false,
    .label.x = 0,
    .label.y = 0,
    .label.text = "three",
    .label.color = BLACK,
    .label.fontstyle = FS_NONE,
    .label.align = ALIGN_VERTICAL_LEFT,
    .relief = RELIEF_LOWERED,
    .color = GRAY85,
    .selected = false
};

radiobutton_t *radiogroup1_buttons[] =
{
    &radiogroup1_button0,
    &radiogroup1_button1,
    &radiogroup1_button2,
};

radiogroup_t radiogroup1 =
{
    .obj.x = 104,
    .obj.y = 40,
    .obj.width = 96,
    .obj.height = 88,
    .obj.draw = radiogroup1draw,
    .obj.handler = radiogroup_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 2,
    .obj.enabled = true,
    .obj.visible = false,
    .label.x = 2,
    .label.y = 2,
    .label.text = "radiogroup1",
    .label.color = BLACK,
    .label.fontstyle = FS_NONE,
    .label.align = ALIGN_NONE,
    .buttons = radiogroup1_buttons,
    .n_buttons = 3,
    .selected_button = 1,
    .relief = RELIEF_LOWERED,
    .color = GRAY75
};

void btn_controls1_action(struct obj_t *obj, const action_event_t *action)
{
    switch (action->event)
    {
        case ACTION_CLICKED :
            btn_controls1clicked(obj, action->x, action->y, action->button);
            break;
        default :
            break;
    }
}

bevel_t btn_controls1 =
{
    .obj.x = 8,
    .obj.y = 24,
    .obj.width = 80,
    .obj.height = 24,
    .obj.draw = btn_controls1draw,
    .obj.handler = default_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow_large,
    .obj.tag = 0,
    .obj.action = btn_controls1_action,
    .obj.enabled = true,
    .obj.visible = true,
    .relief = RELIEF_RAISED,
    .outline = OUTLINE_FRAME
};

button_t button1 =
{
    .obj.x = 104,
    .obj.y = 112,
    .obj.width = 80,
    .obj.height = 20,
    .obj.draw = button1draw,
    .obj.handler = button_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 1,
    .obj.enabled = true,
    .obj.visible = true,
    .label.x = 0,
    .label.y = 0,
    .label.text = "button1",
    .label.color = BLACK,
    .label.fontstyle = FS_NONE,
    .label.align = ALIGN_CENTRE,
    .relief = RELIEF_RAISED,
    .color = GRAY75,
};

const char bitmapbutton1_bm[] =
{
    0x42,    0x4D,    0x36,    0x03,    0x00,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x36,    0x00,    0x00,    0x00,    0x28,    0x00,
    0x00,    0x00,    0x10,    0x00,    0x00,    0x00,    0x10,    0x00,
    0x00,    0x00,    0x01,    0x00,    0x18,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x00,    0x03,    0x00,    0x00,    0x12,    0x0B,
    0x00,    0x00,    0x12,    0x0B,    0x00,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x00,    0x00,    0x00,    0x00,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x04,    0x49,    0x06,
    0x05,    0x5B,    0x09,    0x06,    0x6C,    0x0C,    0x06,    0x6C,
    0x0C,    0x05,    0x5E,    0x0A,    0x04,    0x4C,    0x06,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x05,
    0x60,    0x09,    0x05,    0x60,    0x09,    0x08,    0x91,    0x13,
    0x09,    0xB0,    0x18,    0x09,    0xB3,    0x1A,    0x09,    0xB3,
    0x19,    0x09,    0xB1,    0x19,    0x07,    0x96,    0x14,    0x05,
    0x68,    0x0C,    0x05,    0x68,    0x0C,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x0A,    0x6A,    0x15,    0x0A,
    0x7F,    0x15,    0x0B,    0xB6,    0x1C,    0x09,    0xB9,    0x1A,
    0x08,    0xB4,    0x18,    0x07,    0xB2,    0x16,    0x09,    0xB3,
    0x19,    0x09,    0xB4,    0x19,    0x09,    0xB8,    0x1A,    0x09,
    0xB9,    0x1A,    0x07,    0x83,    0x10,    0x04,    0x4D,    0x06,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0x0B,    0x6A,    0x15,    0x0F,    0x85,    0x22,    0x16,
    0xBD,    0x34,    0x11,    0xB7,    0x27,    0x0B,    0xB2,    0x1C,
    0x07,    0xB1,    0x16,    0x08,    0xB1,    0x17,    0x09,    0xB2,
    0x19,    0x09,    0xB2,    0x19,    0x09,    0xB2,    0x19,    0x09,
    0xB4,    0x19,    0x09,    0xBA,    0x1A,    0x07,    0x84,    0x10,
    0x06,    0x67,    0x0C,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0x0B,    0x6A,    0x15,    0x20,    0xBE,    0x49,    0x1B,
    0xBD,    0x40,    0x14,    0xB7,    0x30,    0x0A,    0xB2,    0x1F,
    0x28,    0xBC,    0x36,    0xDF,    0xF5,    0xE1,    0xEE,    0xFA,
    0xEF,    0x63,    0xCE,    0x6D,    0x09,    0xB2,    0x19,    0x09,
    0xB2,    0x19,    0x09,    0xB3,    0x19,    0x09,    0xBA,    0x1A,
    0x06,    0x67,    0x0C,    0xFF,    0x00,    0xFF,    0x08,    0x72,
    0x10,    0x1B,    0x9A,    0x3A,    0x2A,    0xC6,    0x5B,    0x1D,
    0xBB,    0x45,    0x0E,    0xB4,    0x25,    0x0B,    0xB3,    0x1B,
    0x11,    0xB4,    0x21,    0x9A,    0xDF,    0xA0,    0xFF,    0xFF,
    0xFF,    0xF7,    0xFD,    0xF8,    0x5A,    0xCB,    0x65,    0x09,
    0xB2,    0x19,    0x09,    0xB2,    0x19,    0x09,    0xB8,    0x1A,
    0x08,    0x94,    0x13,    0x04,    0x5D,    0x09,    0x08,    0x72,
    0x10,    0x2A,    0xB6,    0x5B,    0x2C,    0xC5,    0x65,    0x22,
    0xBD,    0x4D,    0x0F,    0xB4,    0x22,    0x0A,    0xB2,    0x1A,
    0x0C,    0xB3,    0x1C,    0x0A,    0xB2,    0x19,    0x8D,    0xDB,
    0x95,    0xFD,    0xFE,    0xFD,    0xF6,    0xFC,    0xF7,    0x58,
    0xCB,    0x63,    0x09,    0xB2,    0x19,    0x09,    0xB5,    0x1A,
    0x08,    0xAB,    0x17,    0x04,    0x5D,    0x09,    0x0F,    0x82,
    0x1C,    0x37,    0xC2,    0x6C,    0x33,    0xC7,    0x6C,    0xCD,
    0xF1,    0xDA,    0xC9,    0xEF,    0xD3,    0xC7,    0xEE,    0xD0,
    0xC8,    0xEF,    0xD2,    0xC5,    0xEE,    0xD0,    0xC7,    0xEE,
    0xCF,    0xF8,    0xFD,    0xF9,    0xFF,    0xFF,    0xFF,    0xF2,
    0xFB,    0xF3,    0x6F,    0xD2,    0x79,    0x08,    0xB4,    0x19,
    0x09,    0xB3,    0x19,    0x05,    0x65,    0x0B,    0x13,    0x8D,
    0x23,    0x58,    0xCC,    0x83,    0x42,    0xC9,    0x77,    0xFF,
    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,
    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,
    0xFF,    0xFD,    0xFE,    0xFD,    0xFF,    0xFF,    0xFF,    0xFF,
    0xFF,    0xFF,    0xBC,    0xEA,    0xC1,    0x0A,    0xB4,    0x1A,
    0x09,    0xB3,    0x19,    0x06,    0x6D,    0x0D,    0x0F,    0x91,
    0x1D,    0x6F,    0xD2,    0x93,    0x5F,    0xD3,    0x8D,    0x6D,
    0xD4,    0x95,    0x72,    0xD6,    0x99,    0x71,    0xD6,    0x98,
    0x72,    0xD6,    0x99,    0x64,    0xD2,    0x8C,    0x92,    0xDF,
    0xA8,    0xFB,    0xFE,    0xFB,    0xFF,    0xFF,    0xFF,    0xAC,
    0xE5,    0xB8,    0x2E,    0xBF,    0x4C,    0x11,    0xB8,    0x2B,
    0x08,    0xB1,    0x19,    0x05,    0x61,    0x0A,    0x0F,    0x91,
    0x1D,    0x67,    0xCC,    0x83,    0x9B,    0xE5,    0xBA,    0x38,
    0xC6,    0x70,    0x30,    0xC3,    0x69,    0x38,    0xC5,    0x6F,
    0x38,    0xC5,    0x6F,    0x70,    0xD6,    0x97,    0xE8,    0xF8,
    0xEE,    0xFF,    0xFF,    0xFF,    0x9F,    0xE2,    0xB1,    0x20,
    0xBD,    0x48,    0x1A,    0xB9,    0x3E,    0x10,    0xBA,    0x29,
    0x08,    0xA3,    0x17,    0x05,    0x61,    0x0A,    0xFF,    0x00,
    0xFF,    0x25,    0xAE,    0x39,    0xBC,    0xED,    0xD2,    0x82,
    0xDB,    0xA4,    0x28,    0xC0,    0x63,    0x2F,    0xC2,    0x67,
    0x53,    0xCD,    0x82,    0xF7,    0xFD,    0xF9,    0xFF,    0xFF,
    0xFF,    0x9C,    0xE2,    0xB2,    0x22,    0xBC,    0x4B,    0x1D,
    0xBA,    0x41,    0x18,    0xB7,    0x36,    0x14,    0xC0,    0x30,
    0x0A,    0x85,    0x17,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0x25,    0xAE,    0x39,    0x71,    0xD2,    0x8C,    0xD2,
    0xF4,    0xE1,    0x80,    0xDA,    0xA3,    0x36,    0xC4,    0x6D,
    0x39,    0xC5,    0x6F,    0xBC,    0xEC,    0xCE,    0xAB,    0xE6,
    0xC2,    0x2D,    0xC2,    0x63,    0x24,    0xBE,    0x56,    0x23,
    0xBC,    0x4D,    0x1F,    0xC1,    0x46,    0x16,    0xAE,    0x34,
    0x0A,    0x85,    0x17,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x25,    0xAE,    0x39,    0x84,
    0xD8,    0x9F,    0xDB,    0xF7,    0xEA,    0xAF,    0xE8,    0xC6,
    0x6B,    0xD4,    0x93,    0x52,    0xCC,    0x81,    0x44,    0xC9,
    0x78,    0x49,    0xCA,    0x7B,    0x48,    0xCB,    0x78,    0x39,
    0xCB,    0x6A,    0x21,    0xB6,    0x49,    0x0F,    0x7C,    0x1F,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x25,
    0xAE,    0x39,    0x25,    0xAE,    0x39,    0xAD,    0xE8,    0xC5,
    0xCC,    0xF2,    0xDE,    0xBA,    0xED,    0xD1,    0xA6,    0xE7,
    0xC2,    0x91,    0xE2,    0xB3,    0x64,    0xD4,    0x92,    0x2F,
    0xB1,    0x57,    0x2F,    0xB1,    0x57,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x32,    0xB7,    0x4E,
    0x25,    0xAE,    0x39,    0x25,    0xAE,    0x39,    0x25,    0xAE,
    0x39,    0x25,    0xAE,    0x39,    0x24,    0xA3,    0x42,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
};

bitmapbutton_t bitmapbutton1 =
{
    .obj.x = 104,
    .obj.y = 72,
    .obj.width = 34,
    .obj.height = 34,
    .obj.draw = bitmapbutton1draw,
    .obj.handler = bitmapbutton_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 1,
    .obj.enabled = true,
    .obj.visible = true,
    .bm = bitmapbutton1_bm,
    .fit = false,
    .relief = RELIEF_RAISED
};

checkbox_t checkbox1 =
{
    .obj.x = 104,
    .obj.y = 136,
    .obj.width = 80,
    .obj.height = 15,
    .obj.draw = checkbox1draw,
    .obj.handler = checkbox_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 1,
    .obj.enabled = true,
    .obj.visible = true,
    .label.x = 0,
    .label.y = 0,
    .label.text = "checkbox1",
    .label.color = BLACK,
    .label.fontstyle = FS_NONE,
    .label.align = ALIGN_VERTICAL_LEFT,
    .relief = RELIEF_LOWERED,
    .color = GRAY85,
    .checked = true
};

void btn_controls2_action(struct obj_t *obj, const action_event_t *action)
{
    switch (action->event)
    {
        case ACTION_CLICKED :
            btn_controls2clicked(obj, action->x, action->y, action->button);
            break;
        default :
            break;
    }
}

bevel_t btn_controls2 =
{
    .obj.x = 8,
    .obj.y = 48,
    .obj.width = 80,
    .obj.height = 24,
    .obj.draw = btn_controls2draw,
    .obj.handler = default_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow_large,
    .obj.tag = 0,
    .obj.action = btn_controls2_action,
    .obj.enabled = true,
    .obj.visible = true,
    .relief = RELIEF_RAISED,
    .outline = OUTLINE_FRAME
};

progressbar_t progressbar1 =
{
    .obj.x = 192,
    .obj.y = 40,
    .obj.width = 104,
    .obj.height = 15,
    .obj.draw = progressbardraw,
    .obj.handler = default_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 1,
    .obj.enabled = true,
    .obj.visible = true,
    .percentage = 67,
    .relief = RELIEF_LOWERED,
    .progresscolor = ROYALBLUE,
    .color = GRAY85
};

scrollbar_t scrollbar1 =
{
    .obj.x = 192,
    .obj.y = 64,
    .obj.width = 104,
    .obj.height = 15,
    .obj.draw = scrollbardraw,
    .obj.handler = scrollbar_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 1,
    .obj.enabled = true,
    .obj.visible = true,
    .range = 100,
    .window = 40,
    .position = 25,
    .relief = RELIEF_RAISED,
    .color = GRAY85,
    .handlecolor = GRAY75
};

slider_t slider1 =
{
    .obj.x = 192,
    .obj.y = 88,
    .obj.width = 104,
    .obj.height = 15,
    .obj.draw = sliderdraw,
    .obj.handler = slider_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 1,
    .obj.enabled = true,
    .obj.visible = true,
    .low = 0,
    .high = 100,
    .position = 25,
    .handlesize = 25,
    .relief = RELIEF_LOWERED,
    .color1 = GRAY85,
    .color2 = GRAY75,
    .handlecolor = GRAY75
};

bevel_t bevel1 =
{
    .obj.x = 104,
    .obj.y = 184,
    .obj.width = 96,
    .obj.height = 32,
    .obj.draw = bevel1draw,
    .obj.handler = default_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 1,
    .obj.enabled = true,
    .obj.visible = true,
    .relief = RELIEF_RAISED,
    .outline = OUTLINE_FRAME
};

const char bitmap1_bm[] =
{
    0x42,    0x4D,    0x36,    0x03,    0x00,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x36,    0x00,    0x00,    0x00,    0x28,    0x00,
    0x00,    0x00,    0x10,    0x00,    0x00,    0x00,    0x10,    0x00,
    0x00,    0x00,    0x01,    0x00,    0x18,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x00,    0x03,    0x00,    0x00,    0x12,    0x0B,
    0x00,    0x00,    0x12,    0x0B,    0x00,    0x00,    0x00,    0x00,
    0x00,    0x00,    0x00,    0x00,    0x00,    0x00,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x04,    0x49,    0x06,
    0x05,    0x5B,    0x09,    0x06,    0x6C,    0x0C,    0x06,    0x6C,
    0x0C,    0x05,    0x5E,    0x0A,    0x04,    0x4C,    0x06,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x05,
    0x60,    0x09,    0x05,    0x60,    0x09,    0x08,    0x91,    0x13,
    0x09,    0xB0,    0x18,    0x09,    0xB3,    0x1A,    0x09,    0xB3,
    0x19,    0x09,    0xB1,    0x19,    0x07,    0x96,    0x14,    0x05,
    0x68,    0x0C,    0x05,    0x68,    0x0C,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x0A,    0x6A,    0x15,    0x0A,
    0x7F,    0x15,    0x0B,    0xB6,    0x1C,    0x09,    0xB9,    0x1A,
    0x08,    0xB4,    0x18,    0x07,    0xB2,    0x16,    0x09,    0xB3,
    0x19,    0x09,    0xB4,    0x19,    0x09,    0xB8,    0x1A,    0x09,
    0xB9,    0x1A,    0x07,    0x83,    0x10,    0x04,    0x4D,    0x06,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0x0B,    0x6A,    0x15,    0x0F,    0x85,    0x22,    0x16,
    0xBD,    0x34,    0x11,    0xB7,    0x27,    0x0B,    0xB2,    0x1C,
    0x07,    0xB1,    0x16,    0x08,    0xB1,    0x17,    0x09,    0xB2,
    0x19,    0x09,    0xB2,    0x19,    0x09,    0xB2,    0x19,    0x09,
    0xB4,    0x19,    0x09,    0xBA,    0x1A,    0x07,    0x84,    0x10,
    0x06,    0x67,    0x0C,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0x0B,    0x6A,    0x15,    0x20,    0xBE,    0x49,    0x1B,
    0xBD,    0x40,    0x14,    0xB7,    0x30,    0x0A,    0xB2,    0x1F,
    0x63,    0xCE,    0x6D,    0xEE,    0xFA,    0xEF,    0xDF,    0xF5,
    0xE1,    0x28,    0xBC,    0x36,    0x09,    0xB2,    0x19,    0x09,
    0xB2,    0x19,    0x09,    0xB3,    0x19,    0x09,    0xBA,    0x1A,
    0x06,    0x67,    0x0C,    0xFF,    0x00,    0xFF,    0x08,    0x72,
    0x10,    0x1B,    0x9A,    0x3A,    0x2A,    0xC6,    0x5B,    0x1D,
    0xBB,    0x45,    0x0E,    0xB4,    0x25,    0x5B,    0xCC,    0x66,
    0xF7,    0xFD,    0xF8,    0xFF,    0xFF,    0xFF,    0x9A,    0xDF,
    0xA0,    0x11,    0xB4,    0x20,    0x09,    0xB2,    0x19,    0x09,
    0xB2,    0x19,    0x09,    0xB2,    0x19,    0x09,    0xB8,    0x1A,
    0x08,    0x94,    0x13,    0x04,    0x5D,    0x09,    0x08,    0x72,
    0x10,    0x2A,    0xB6,    0x5B,    0x2C,    0xC5,    0x65,    0x22,
    0xBD,    0x4D,    0x5C,    0xCC,    0x69,    0xF6,    0xFC,    0xF7,
    0xFD,    0xFE,    0xFD,    0x8E,    0xDB,    0x95,    0x09,    0xB2,
    0x1A,    0x09,    0xB2,    0x19,    0x09,    0xB2,    0x19,    0x09,
    0xB2,    0x19,    0x09,    0xB2,    0x19,    0x09,    0xB5,    0x1A,
    0x08,    0xAB,    0x17,    0x04,    0x5D,    0x09,    0x0F,    0x82,
    0x1C,    0x37,    0xC2,    0x6C,    0x33,    0xC7,    0x6C,    0x8A,
    0xDD,    0xA8,    0xF4,    0xFC,    0xF6,    0xFF,    0xFF,    0xFF,
    0xF9,    0xFD,    0xFA,    0xC7,    0xEE,    0xD2,    0xC4,    0xED,
    0xCC,    0xBF,    0xEB,    0xC3,    0xBF,    0xEB,    0xC3,    0xC0,
    0xEB,    0xC4,    0xC2,    0xEC,    0xC6,    0x08,    0xB4,    0x19,
    0x09,    0xB3,    0x19,    0x05,    0x65,    0x0B,    0x13,    0x8D,
    0x23,    0x58,    0xCC,    0x83,    0x42,    0xC9,    0x77,    0xC9,
    0xEF,    0xD8,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,
    0xFD,    0xFF,    0xFE,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,
    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,
    0xFF,    0xFF,    0xFF,    0xFF,    0xFF,    0x0A,    0xB4,    0x1A,
    0x09,    0xB3,    0x19,    0x06,    0x6D,    0x0D,    0x0F,    0x91,
    0x1D,    0x6F,    0xD2,    0x93,    0x5F,    0xD3,    0x8D,    0x44,
    0xC9,    0x77,    0xB7,    0xEA,    0xCB,    0xFF,    0xFF,    0xFF,
    0xFB,    0xFE,    0xFC,    0x9A,    0xE2,    0xB4,    0x58,    0xCD,
    0x79,    0x5C,    0xCE,    0x76,    0x5C,    0xCD,    0x76,    0x5C,
    0xCD,    0x73,    0x5B,    0xCD,    0x72,    0x11,    0xB8,    0x2B,
    0x08,    0xB1,    0x19,    0x05,    0x61,    0x0A,    0x0F,    0x91,
    0x1D,    0x67,    0xCC,    0x83,    0x9B,    0xE5,    0xBA,    0x38,
    0xC6,    0x70,    0x32,    0xC3,    0x6A,    0xAA,    0xE6,    0xC1,
    0xFF,    0xFF,    0xFF,    0xE9,    0xF9,    0xEF,    0x6A,    0xD3,
    0x8E,    0x21,    0xBD,    0x4D,    0x1E,    0xBC,    0x49,    0x1E,
    0xBC,    0x47,    0x1A,    0xB9,    0x3E,    0x10,    0xBA,    0x29,
    0x08,    0xA3,    0x17,    0x05,    0x61,    0x0A,    0xFF,    0x00,
    0xFF,    0x25,    0xAE,    0x39,    0xBC,    0xED,    0xD2,    0x82,
    0xDB,    0xA4,    0x28,    0xC0,    0x63,    0x31,    0xC2,    0x68,
    0xA4,    0xE4,    0xBD,    0xFF,    0xFF,    0xFF,    0xF7,    0xFD,
    0xF9,    0x45,    0xC8,    0x6E,    0x20,    0xBB,    0x4A,    0x1D,
    0xBA,    0x41,    0x18,    0xB7,    0x36,    0x14,    0xC0,    0x30,
    0x0A,    0x85,    0x17,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0x25,    0xAE,    0x39,    0x71,    0xD2,    0x8C,    0xD2,
    0xF4,    0xE1,    0x80,    0xDA,    0xA3,    0x36,    0xC4,    0x6D,
    0x31,    0xC3,    0x6A,    0xAA,    0xE6,    0xC1,    0xBD,    0xEC,
    0xCF,    0x35,    0xC4,    0x69,    0x24,    0xBE,    0x56,    0x23,
    0xBC,    0x4D,    0x1F,    0xC1,    0x46,    0x16,    0xAE,    0x34,
    0x0A,    0x85,    0x17,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0x25,    0xAE,    0x39,    0x84,
    0xD8,    0x9F,    0xDB,    0xF7,    0xEA,    0xAF,    0xE8,    0xC6,
    0x6B,    0xD4,    0x93,    0x52,    0xCC,    0x81,    0x44,    0xC9,
    0x78,    0x49,    0xCA,    0x7B,    0x48,    0xCB,    0x78,    0x39,
    0xCB,    0x6A,    0x21,    0xB6,    0x49,    0x0F,    0x7C,    0x1F,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x25,
    0xAE,    0x39,    0x25,    0xAE,    0x39,    0xAD,    0xE8,    0xC5,
    0xCC,    0xF2,    0xDE,    0xBA,    0xED,    0xD1,    0xA6,    0xE7,
    0xC2,    0x91,    0xE2,    0xB3,    0x64,    0xD4,    0x92,    0x2F,
    0xB1,    0x57,    0x2F,    0xB1,    0x57,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,
    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0x32,    0xB7,    0x4E,
    0x25,    0xAE,    0x39,    0x25,    0xAE,    0x39,    0x25,    0xAE,
    0x39,    0x25,    0xAE,    0x39,    0x24,    0xA3,    0x42,    0xFF,
    0x00,    0xFF,    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
    0xFF,    0x00,    0xFF,    0xFF,    0x00,    0xFF,
};

bitmap_t bitmap1 =
{
    .obj.x = 144,
    .obj.y = 72,
    .obj.width = 32,
    .obj.height = 32,
    .obj.draw = bitmap1draw,
    .obj.handler = default_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 1,
    .obj.enabled = true,
    .obj.visible = true,
    .bm = bitmap1_bm,
};

label_t label1 =
{
    .obj.x = 104,
    .obj.y = 40,
    .obj.width = 80,
    .obj.height = 20,
    .obj.draw = labeldraw,
    .obj.handler = default_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 1,
    .obj.enabled = true,
    .obj.visible = true,
    .text.x = 0,
    .text.y = 0,
    .text.text = "label1",
    .text.color = BLACK,
    .text.fontstyle = FS_NONE,
    .text.align = ALIGN_NONE,
};

textbox_t textbox1 =
{
    .obj.x = 104,
    .obj.y = 160,
    .obj.width = 96,
    .obj.height = 20,
    .obj.draw = textbox1draw,
    .obj.handler = textbox_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 1,
    .obj.enabled = true,
    .obj.visible = true,
    .text.x = 0,
    .text.y = 0,
    .text.text = "textbox1",
    .text.color = BLACK,
    .text.fontstyle = FS_NONE,
    .text.align = ALIGN_VERTICAL_LEFT,
    .relief = RELIEF_LOWERED,
    .color = WHITE
};

progressbar_t progressbar2 =
{
    .obj.x = 232,
    .obj.y = 112,
    .obj.width = 15,
    .obj.height = 104,
    .obj.draw = progressbardraw,
    .obj.handler = default_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 1,
    .obj.enabled = true,
    .obj.visible = true,
    .percentage = 67,
    .relief = RELIEF_LOWERED,
    .progresscolor = ROYALBLUE,
    .color = GRAY85
};

scrollbar_t scrollbar2 =
{
    .obj.x = 256,
    .obj.y = 112,
    .obj.width = 15,
    .obj.height = 104,
    .obj.draw = scrollbardraw,
    .obj.handler = scrollbar_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 1,
    .obj.enabled = true,
    .obj.visible = true,
    .range = 100,
    .window = 40,
    .position = 25,
    .relief = RELIEF_RAISED,
    .color = GRAY85,
    .handlecolor = GRAY75
};

slider_t slider2 =
{
    .obj.x = 280,
    .obj.y = 112,
    .obj.width = 15,
    .obj.height = 104,
    .obj.draw = sliderdraw,
    .obj.handler = slider_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 1,
    .obj.enabled = true,
    .obj.visible = true,
    .low = 0,
    .high = 100,
    .position = 25,
    .handlesize = 25,
    .relief = RELIEF_LOWERED,
    .color1 = GRAY85,
    .color2 = GRAY75,
    .handlecolor = GRAY75
};

void hueslider_action(struct obj_t *obj, const action_event_t *action)
{
    switch (action->event)
    {
        case ACTION_DRAGGED :
            huesliderdragged(obj, action->x, action->y, action->button);
            break;
        default :
            break;
    }
}

slider_t hueslider =
{
    .obj.x = 56,
    .obj.y = 104,
    .obj.width = 16,
    .obj.height = 128,
    .obj.draw = huesliderdraw,
    .obj.handler = slider_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow_large,
    .obj.tag = 0,
    .obj.action = hueslider_action,
    .obj.enabled = true,
    .obj.visible = true,
    .low = 0,
    .high = 255,
    .position = 128,
    .handlesize = 0,
    .relief = RELIEF_LOWERED,
    .color1 = GRAY85,
    .color2 = GRAY75,
    .handlecolor = GRAY75
};

void lumslider_action(struct obj_t *obj, const action_event_t *action)
{
    switch (action->event)
    {
        case ACTION_DRAGGED :
            lumsliderdragged(obj, action->x, action->y, action->button);
            break;
        default :
            break;
    }
}

slider_t lumslider =
{
    .obj.x = 16,
    .obj.y = 104,
    .obj.width = 16,
    .obj.height = 128,
    .obj.draw = lumsliderdraw,
    .obj.handler = slider_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow_large,
    .obj.tag = 0,
    .obj.action = lumslider_action,
    .obj.enabled = true,
    .obj.visible = true,
    .low = 30,
    .high = 70,
    .position = 50,
    .handlesize = 0,
    .relief = RELIEF_LOWERED,
    .color1 = GRAY85,
    .color2 = GRAY75,
    .handlecolor = GRAY75
};

label_t lbl_lum =
{
    .obj.x = 8,
    .obj.y = 80,
    .obj.width = 32,
    .obj.height = 20,
    .obj.draw = labeldraw,
    .obj.handler = default_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 0,
    .obj.enabled = true,
    .obj.visible = true,
    .text.x = 0,
    .text.y = 0,
    .text.text = "lum",
    .text.color = BLACK,
    .text.fontstyle = FS_NONE,
    .text.align = ALIGN_HORIZONTAL,
};

label_t lbl_hue =
{
    .obj.x = 48,
    .obj.y = 80,
    .obj.width = 32,
    .obj.height = 20,
    .obj.draw = labeldraw,
    .obj.handler = default_handler,
    .obj.parent = AGUI_HANDLE(form1),
    .obj.agui_index = AGUI_1,
    .obj.cursor_shape = &cursor_arrow,
    .obj.tag = 0,
    .obj.enabled = true,
    .obj.visible = true,
    .text.x = 0,
    .text.y = 0,
    .text.text = "hue",
    .text.color = BLACK,
    .text.fontstyle = FS_NONE,
    .text.align = ALIGN_HORIZONTAL,
};

